Subject: Re: [regext] RDAP questions

From: Andrew Newton <[email-masked]>
Date: Mon, 3 Apr 2017 09:21:55 -0500

On Fri, Mar 31, 2017 at 4:08 AM, Bernhard Reutner-Fischer
<[email-masked]> wrote:
> On 22 March 2017 at 13:58, Bernhard Reutner-Fischer
> 4) Domain object, secureDNS/delegationSigned
>
> ---8<---
>       *  delegationSigned -- boolean true if there are DS records in the
>          parent, false otherwise.
> ---8<---
>
> What does "in the parent" mean here?
> Does this refer to the DNS hierarchy?
> Does it refer to the existence of a sibling dsData? I.e. s/ in the parent// ?

It refers to the DNS hierarchy.

-andy

---

From: Bernhard Reutner-Fischer <[email-masked]>
Date: Mon, 03 Apr 2017 19:56:37 +0200

>It refers to the DNS hierarchy.

So please fix that to read "parent zone".
TIA

PS: can you please answer the other question too?

---

From: Andrew Newton <[email-masked]>
Date: Mon, 3 Apr 2017 13:44:34 -0500

> PS: can you please answer the other question too?

Can you restate your questions? I'm unsure what is being asked.

-andy

---

From: Bernhard Reutner-Fischer <[email-masked]>
Date: Mon, 03 Apr 2017 22:19:26 +0200

>Can you restate your questions? I'm unsure what is being asked.

Shouldn't there be a reference to the  IANA Jason value registry? 

Thanks

---

From: Andrew Newton <[email-masked]>
Date: Tue, 4 Apr 2017 13:48:22 -0500

> Shouldn't there be a reference to the  IANA Jason value registry?

So if I understand the question correctly, you are asking if there
should be a reference to the IANA RDAP JSON Values registry in section
10.2.2 of RFC 7483. Since Section 10.2 establishes that registry and
10.2.2 is a subsection thereof, it is my opinion no reference is
needed.

But that's just my opinion.

-andy